unit LoginForm;

interface

uses
  SysUtils, Classes,
  QForms, QStdCtrls, QControls;

type
  TfmLogin = class(TForm)
    lbLogin: TLabel;
    lbPassword: TLabel;
    edLoginName: TEdit;
    edPassword: TEdit;
    lbDataBase: TLabel;
    edDataBase: TEdit;
    btOk: TButton;
    btCancel: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute(var ADataBase, ALoginName, APassword: string): boolean;
  end;

var
  fmLogin: TfmLogin;

implementation

{$R *.xfm}

{ TfmLogin }

function TfmLogin.Execute(var ADataBase, ALoginName, APassword: string): boolean;
begin
  edDataBase.Text := ADataBase;
  edLoginName.Text := ALoginName;
  edPassword.Text := APassword;

  result := ShowModal = mrOk;
  if result then begin
    ADataBase := edDataBase.Text;
    ALoginName := edLoginName.Text;
    APassword := edPassword.Text;
  end;
end;

end.
