unit Global;

interface

uses Classes, report_server_int;

procedure StreamToOctetSeq(AStream: TStream; out OcSeq: TReportData; FreeStream: boolean);
procedure OctetSeqToStream(AStream: TStream; const OcSeq: TReportData);

implementation

procedure StreamToOctetSeq(AStream: TStream; out OcSeq: TReportData; FreeStream: boolean);
begin
  if AStream = nil then Exit;
  SetLength(OcSeq, AStream.Size);
  AStream.Position := 0;
  AStream.ReadBuffer(Pointer(OcSeq)^, AStream.Size);
  if FreeStream then AStream.Free;
end;

procedure OctetSeqToStream(AStream: TStream; const OcSeq: TReportData);
begin
  if AStream = nil then Exit;
  AStream.Size := 0;
  AStream.WriteBuffer(Pointer(OcSeq)^, Length(OcSeq));
end;

end.
